import socketserver
import ldapserver

class RequestHandler(ldapserver.LDAPRequestHandler):
	subschema = ldapserver.schema.RFC2307BIS_SUBSCHEMA

	static_objects = [
		subschema.Object('dc=example,dc=com',
		                 objectClass=['top', 'dcObject', 'organization'],
		                 structuralObjectClass=['organization'],
										 cn=['foo', 'bar'],
										 c=['test'])
	]

if __name__ == '__main__':
	socketserver.ThreadingTCPServer(('127.0.0.1', 3890), RequestHandler).serve_forever()
